org.richfaces.component.html

## Class HtmlRichMessage

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIMessage
      - - org.richfaces.component.UIRichMessage
        - - org.richfaces.component.html.HtmlRichMessage

- All Implemented Interfaces:
    javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxOutput

      public class HtmlRichMessage
      extends UIRichMessage

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlRichMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getErrorClass()`
    `java.lang.String` | `getErrorLabelClass()`
    `java.lang.String` | `getErrorMarkerClass()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFatalClass()`
    `java.lang.String` | `getFatalLabelClass()`
    `java.lang.String` | `getFatalMarkerClass()`
    `java.lang.String` | `getInfoClass()`
    `java.lang.String` | `getInfoLabelClass()`
    `java.lang.String` | `getInfoMarkerClass()`
    `java.lang.String` | `getLabelClass()`
    `java.lang.String` | `getLevel()`
    `java.lang.String` | `getMarkerClass()`
    `java.lang.String` | `getMarkerStyle()`
    `java.lang.String` | `getPassedLabel()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getWarnClass()`
    `java.lang.String` | `getWarnLabelClass()`
    `java.lang.String` | `getWarnMarkerClass()`
    `boolean` | `isKeepTransient()`
    `boolean` | `isTooltip()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setErrorClass(java.lang.String _errorClass)`
    `void` | `setErrorLabelClass(java.lang.String _errorLabelClass)`
    `void` | `setErrorMarkerClass(java.lang.String _errorMarkerClass)`
    `void` | `setFatalClass(java.lang.String _fatalClass)`
    `void` | `setFatalLabelClass(java.lang.String _fatalLabelClass)`
    `void` | `setFatalMarkerClass(java.lang.String _fatalMarkerClass)`
    `void` | `setInfoClass(java.lang.String _infoClass)`
    `void` | `setInfoLabelClass(java.lang.String _infoLabelClass)`
    `void` | `setInfoMarkerClass(java.lang.String _infoMarkerClass)`
    `void` | `setKeepTransient(boolean _keepTransient)`
    `void` | `setLabelClass(java.lang.String _labelClass)`
    `void` | `setLevel(java.lang.String _level)`
    `void` | `setMarkerClass(java.lang.String _markerClass)`
    `void` | `setMarkerStyle(java.lang.String _markerStyle)`
    `void` | `setPassedLabel(java.lang.String _passedLabel)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTitle(java.lang.String _title)`
    `void` | `setTooltip(boolean _tooltip)`
    `void` | `setWarnClass(java.lang.String _warnClass)`
    `void` | `setWarnLabelClass(java.lang.String _warnLabelClass)`
    `void` | `setWarnMarkerClass(java.lang.String _warnMarkerClass)`

    - ### Methods inherited from class org.richfaces.component.UIRichMessage

      `decode, encodeBegin, encodeEnd, isAjaxRendered, isPassed, setAjaxRendered`

    - ### Methods inherited from class javax.faces.component.UIMessage

      `getFor, isShowDetail, isShowSummary, setFor, setShowDetail, setShowSummary`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlRichMessage

          public HtmlRichMessage()

  - ### Method Detail

    - #### getErrorClass

          public java.lang.String getErrorClass()

    - #### setErrorClass

          public void setErrorClass(java.lang.String _errorClass)

    - #### getErrorLabelClass

          public java.lang.String getErrorLabelClass()

    - #### setErrorLabelClass

          public void setErrorLabelClass(java.lang.String _errorLabelClass)

    - #### getErrorMarkerClass

          public java.lang.String getErrorMarkerClass()

    - #### setErrorMarkerClass

          public void setErrorMarkerClass(java.lang.String _errorMarkerClass)

    - #### getFatalClass

          public java.lang.String getFatalClass()

    - #### setFatalClass

          public void setFatalClass(java.lang.String _fatalClass)

    - #### getFatalLabelClass

          public java.lang.String getFatalLabelClass()

    - #### setFatalLabelClass

          public void setFatalLabelClass(java.lang.String _fatalLabelClass)

    - #### getFatalMarkerClass

          public java.lang.String getFatalMarkerClass()

    - #### setFatalMarkerClass

          public void setFatalMarkerClass(java.lang.String _fatalMarkerClass)

    - #### getInfoClass

          public java.lang.String getInfoClass()

    - #### setInfoClass

          public void setInfoClass(java.lang.String _infoClass)

    - #### getInfoLabelClass

          public java.lang.String getInfoLabelClass()

    - #### setInfoLabelClass

          public void setInfoLabelClass(java.lang.String _infoLabelClass)

    - #### getInfoMarkerClass

          public java.lang.String getInfoMarkerClass()

    - #### setInfoMarkerClass

          public void setInfoMarkerClass(java.lang.String _infoMarkerClass)

    - #### isKeepTransient

          public boolean isKeepTransient()

    - #### setKeepTransient

          public void setKeepTransient(boolean _keepTransient)

    - #### getLabelClass

          public java.lang.String getLabelClass()

    - #### setLabelClass

          public void setLabelClass(java.lang.String _labelClass)

    - #### getLevel

          public java.lang.String getLevel()

      Specified by:
        `getLevel` in class `UIRichMessage`

    - #### setLevel

          public void setLevel(java.lang.String _level)

      Specified by:
        `setLevel` in class `UIRichMessage`

    - #### getMarkerClass

          public java.lang.String getMarkerClass()

    - #### setMarkerClass

          public void setMarkerClass(java.lang.String _markerClass)

    - #### getMarkerStyle

          public java.lang.String getMarkerStyle()

    - #### setMarkerStyle

          public void setMarkerStyle(java.lang.String _markerStyle)

    - #### getPassedLabel

          public java.lang.String getPassedLabel()

      Specified by:
        `getPassedLabel` in class `UIRichMessage`

    - #### setPassedLabel

          public void setPassedLabel(java.lang.String _passedLabel)

      Specified by:
        `setPassedLabel` in class `UIRichMessage`

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String _title)

    - #### isTooltip

          public boolean isTooltip()

    - #### setTooltip

          public void setTooltip(boolean _tooltip)

    - #### getWarnClass

          public java.lang.String getWarnClass()

    - #### setWarnClass

          public void setWarnClass(java.lang.String _warnClass)

    - #### getWarnLabelClass

          public java.lang.String getWarnLabelClass()

    - #### setWarnLabelClass

          public void setWarnLabelClass(java.lang.String _warnLabelClass)

    - #### getWarnMarkerClass

          public java.lang.String getWarnMarkerClass()

    - #### setWarnMarkerClass

          public void setWarnMarkerClass(java.lang.String _warnMarkerClass)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIMessage`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIMessage`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIMessage`

Copyright © 2014. All Rights Reserved.